package com.yihu.hos.system.service.intf;

import com.yihu.hos.web.framework.model.Result;

/**
 * Created by chenweida on 2016/1/20.
 */
public interface IAuthorityManager {
    Result getMenuList(String roleId) throws Exception;

    Result changeRoleMenu(String roleId, String menuId, String flag) throws Exception;

    Result changeRoleAction(String roleId, String actionId, String flag) throws Exception;

    Result allowAll(String roleId) throws Exception;

    Result forbidAll(String roleId) throws Exception;
}
